Name: fftw
Version: 2.1.5
Release: alt1

Summary: Fast fourier transform library
License: GPL
Group: System/Libraries
Url: http://www.fftw.org
Packager: Yuri N. Sedunov <aris@altlinux.ru>

Source: %name-%version.tar.bz2
Patch: %name-2.1.5-pentium.patch.bz2
Patch1: %name-2.1.5-alt-texinfo.patch

# Automatically added by buildreq on Sat Nov 24 2001
BuildRequires: gcc-g77

%description
FFTW is a collection of fast C routines for computing the Discrete Fourier
Transform in one or more dimensions.  It includes complex, real, and
parallel transforms, and can handle arbitrary array sizes efficiently.
This RPM package includes both the double- and single-precision FFTW
uniprocessor and threads libraries.  (The single-precision files have
an "s" prefix.)

%package -n lib%name
Summary: Dynamic libraries for FFTW fast fourier transform library
Group: System/Libraries

%description -n lib%name
FFTW is a collection of fast C routines for computing the Discrete Fourier
Transform in one or more dimensions.  It includes complex, real, and
parallel transforms, and can handle arbitrary array sizes efficiently.
This RPM package includes both the double- and single-precision FFTW
uniprocessor and threads libraries.  (The single-precision files have
an "s" prefix.)

%package -n lib%name-devel
Summary: Headers, libraries, & docs for FFTW fast fourier transform library
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the additional header files, documentation, and
libraries you need to develop programs using the FFTW fast fourier
transform library.

%package -n lib%name-devel-static
Summary: Static libraries for FFTW fast fourier transform library
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains static libraries you need to develop programs using
the FFTW fast fourier transform library.

%prep
# We will be compiling two copies of FFTW, one for double precision and
# one for single precision.  During the build process, these copies
# will be stored in fftw-%version/double and fftw-%version/single

# Unpack the tar archive, first (-c) creating a fftw-%version
# directory and then unpacking in there.

%setup -c %name-%version
# Apply patch to enable pentium optimizations
%patch -p0
%patch1 -p0

# Now, rename the unpacked and patched FFTW directory to "double":
%__mv %name-%version double
# Last, make a copy of this directory in "single":
%__cp -r double single

%build
# Configure and build the double and single precision versions.
# Notes:
#  (1) We install into buildroot, which is set either
#      by the BuildRoot option above or by --buildroot at build-time.
#      This allows you to build the RPM without blowing away your existing
#      FFTW installation, and even without being root.
#  (2) The double-precision version is installed with the normal library
#      names, while the single-precision version is installed with an "s"
#      prefix.

pushd double
%ifarch %ix86
%configure --enable-shared --enable-threads --infodir=%buildroot%_infodir \
	    --enable-i386-hacks
%else
%configure --enable-shared --enable-threads --infodir=%buildroot%_infodir
%endif
%make
popd

pushd single
%ifarch %ix86
%configure --enable-shared --enable-threads --infodir=%buildroot%_infodir \
	    --enable-i386-hacks --enable-float --enable-type-prefix
%else
%configure --enable-shared --enable-threads --infodir=%buildroot%_infodir \
	    --enable-float --enable-type-prefix
%endif
%make
popd

%install
%makeinstall -C single
%makeinstall -C double

# Reorganize docs
%__mkdir_p html
%__mkdir_p FAQ
%__mkdir_p doc
%__mv single/doc/*.html single/doc/*.gif html/
%__cp -a single/FAQ/fftw-faq.html/* FAQ/
%__cp -a single/doc/{*ps,*fig,*tex} doc/
%__cp single/{AUTHORS,ChangeLog,NEWS,README*,TODO} .

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n lib%name-devel
%install_info %name.info

%postun -n lib%name-devel
%uninstall_info %name.info

%files -n lib%name
%doc doc/ html/ FAQ/ AUTHORS ChangeLog NEWS README* TODO
%_libdir/*.so.*

%files -n lib%name-devel
%_includedir/*
%_infodir/*.info*
%_libdir/*.so

%files -n lib%name-devel-static
%_libdir/*.a

%changelog
* Fri Nov 28 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.5-alt1
- 2.1.5
- do not package .la files.

* Fri Feb 21 2003 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt3
- use %%{un}install_info macros in %%post{un}.

* Tue Sep 10 2002 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt2
- cleanups.

* Fri Nov 23 2001 Yuri N. Sedunov <aris@altlinux.ru> 2.1.3-alt1
- Adaptation and first build for Sisyphus.

* Thu Jun 14 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.3-8mdk
- fixed by Mika Korhonen <mikak@ee.oulu.fi> :
	- removed broken ld.so.conf test (/usr/lib is not listed there anyways)
	- made install-info work with RPM macros shipping with newer Mandrakes
	  and actually add an entry to the top dir file

* Tue Jan 09 2001 Lenny Cartier <lenny@mandrakesoft.com> 2.1.3-7mdk
- rebuild

* Tue Aug 31 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1.3-6mdk
- add installinfo

* Wed Aug 30 2000 Alexander Skwar <ASkwar@DigitalProjects.com> 2.1.3-5mdk
- Actually used macros
- Added %doc files
- Shortened %files section of the SPEC file a lot
- Provide libfftw as eXtace requires it
- Obsolote libfftw package
- Optimized for Pentium builds per README.hacks

* Wed Aug 30 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1.3-4mdk
- BM
- macros

* Wed Apr 26 2000 Lenny Cartier <lenny@mandrakesoft.com> 2.1.3-3mdk
- fix group
- spec helper fixes

* Tue Jan 25 2000 Lenny Cartier <lenny@mandrakesoft.com>
- updated, installs in /usr instead of /usr/local by Dara Hazeghi
  <dara@pacbell.net>

* Thu Dec 16 1999 Lenny Cartier <lenny@mandrakesoft.com>
- new in contribs
- bz2 archive
- add defattr
